<?xml version="1.0"?>
<cfsSimulation xmlns="http://www.cfs++.org/simulation" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.cfs++.org/simulation http://cfs-doc.mdmt.tuwien.ac.at/xml/CFS-Simulation/CFS.xsd">

  <documentation>
    <title>1D heat example with volume source</title>
    <authors>
      <author>Manfred Kaltenbacher</author>
    </authors>
    <date>2011-12-10</date>
    <keywords>
      <keyword>heatConduction</keyword>
      <keyword>volumeSrc</keyword>
      <keyword>static</keyword>
    </keywords>
    <references>
      Manfred Kaltenbacher, privat comunication
    </references>
    <isVerified>yes</isVerified>
    <description>
      1D equation: -d/dx( lambda dT/dx ) = q; t(0) = T(L) = 0
      Analytic solution: T(x) = q/(2*lambda) L x - (q/2*lambda) x^2
    </description>
  </documentation>

   <fileFormats>
   <input>
      <hdf5 fileName="SlabVolSource.h5"/>
   </input>
    <output>
      <hdf5/>
    </output>
    <materialData file="mat.xml" format="xml"/>
  </fileFormats>

  <domain geometryType="plane">
    <regionList>
      <region name="slab" material="steel" />
    </regionList>
  </domain>

  <sequenceStep>
   <analysis>
      <static/>
    </analysis>

    <pdeList>
      <heatConduction>
        <regionList>
          <region name="slab"/>
        </regionList>
        
        <bcsAndLoads>
          <temperature name="bcleft" value="0"/>
          <temperature name="bcright" value="0"/>
          <heatSourceDensity name="slab" value="1e4"/>
          
        </bcsAndLoads>
        
        <storeResults>
          <nodeResult type="heatTemperature">
            <allRegions/>
            <nodeList>
              <nodes name="historyNode"/>
            </nodeList>
          </nodeResult>
          <elemResult type="heatFluxDensity">
              <allRegions/>
           </elemResult>
        </storeResults>
      </heatConduction>
    </pdeList>

    <linearSystems>
      <system>
        <solverList>
          <directLU/>
        </solverList>
      </system>
    </linearSystems>
 
  </sequenceStep>
</cfsSimulation>

